## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/ArthurSonzogni/FTXUI
Version:        5.0.0
%forgemeta

Name:           ftxui
Release:        %autorelease
Summary:        A simple cross-platform C++ library for terminal based user interfaces

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
# testing dependencies
BuildRequires:  cmake(gtest)
BuildRequires:  cmake(benchmark)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DFTXUI_BUILD_TESTS=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libftxui-*.so.%{version}

%files devel
%{_includedir}/ftxui/
%{_libdir}/cmake/ftxui/
%{_libdir}/pkgconfig/ftxui.pc
%{_libdir}/libftxui-*.so

%changelog
* Sun Dec 24 2023 topazus <topazus@outlook.com> 5.0.0-1
- initial import; rhbz#2255228
